# Configuration for XPC-Poland.

[divisions]
    open = {name = "Open", min = 0, max = 999}

    # OpenLifter-style divisions.
    t13_15 = {name="T13-15", min=13, max=15}
    t16_17 = {name="T16-17", min=16, max=17}
    t18_19 = {name="T18-19", min=18, max=19}
    j20_23 = {name="J20-23", min=20, max=23}
    s35_39 = {name="S35-39", min=35, max=39}
    m40_44 = {name="M40-44", min=40, max=44}
    m45_49 = {name="M45-49", min=45, max=49}
    m50_54 = {name="M50-54", min=50, max=54}
    m55_59 = {name="M55-59", min=55, max=59}
    m60_64 = {name="M60-64", min=60, max=64}
    m65_69 = {name="M65-69", min=65, max=69}
    m70_74 = {name="M70-74", min=70, max=74}
    m75_79 = {name="M75-79", min=75, max=79}
    m80p = {name="M80+", min=80, max=999}

    s33_39 = {name="S33-39", min=33, max=39} # Used accidentally.

    pro = {name = "Pro", min = 0, max = 999}
    elite = {name = "Elite", min = 0, max = 999}

    pro_submasters = {name = "Pro Submasters", min = 33, max = 39, tested = "No"}
    pro_masters = {name = "Pro Masters", min = 40, max = 999, tested = "No"}
    pro_police = {name = "Pro Police", min = 0, max = 999, tested = "No"}
    pro_military = {name = "Pro Military", min = 0, max = 999, tested = "No"}

    amateur = {name = "Amateur", min = 0, max = 999, tested = "Yes"}
    amateur_teen = {name = "Amateur Teen", min = 13, max = 19, tested = "Yes"}
    amateur_juniors = {name = "Amateur Juniors", min = 20, max = 23, tested = "Yes"}
    amateur_submasters = {name = "Amateur Submasters", min = 33, max = 39, tested = "Yes"}
    amateur_masters = {name = "Amateur Masters", min = 40, max = 999, tested = "Yes"}
    amateur_police = {name = "Amateur Police", min = 0, max = 999, tested = "Yes"}
    amateur_military = {name = "Amateur Military", min = 0, max = 999, tested = "Yes"}

    novice = {name = "Novice", min = 0, max = 999}
    novice_juniors = {name = "Novice Juniors", min = 20, max = 23}
    novice_teen = {name = "Novice Teen", min = 13, max = 19}
    novice_masters = {name = "Novice Masters", min = 40, max = 999}

    submasters = {name = "Submasters", min = 33, max = 39}
    masters = {name = "Masters", min = 40, max = 999}
    juniors = {name = "Juniors", min = 20, max = 23}
    teen = {name = "Teen", min = 13, max = 19}
    youth = {name="Youth", min=4, max=11}

    masters37_49 = {name="Masters 37-49", min=37, max=49}
    masters50_59 = {name="Masters 50-59", min=50, max=59}

    hw = {name = "HW", min = 0, max = 999}
    lw = {name = "LW", min = 0, max = 999}
    pro_hw = {name = "Pro HW", min = 0, max = 999}
    pro_lw = {name = "Pro LW", min = 0, max = 999}

[weightclasses.default_M]
    classes = ["52","56","60","67.5","75","82.5","90","100","110","125","140","140+"]
    date_range = ["1990-01-01", "9999-01-01"]
    sex = "M"

[weightclasses.default_F]
    classes = ["44","48","52","56","60","67.5","75","82.5","90","100","110","110+"]
    date_range = ["2023-01-01", "9999-01-01"]
    sex = "F"

[weightclasses.old_F]
    classes = ["44","48","52","56","60","67.5","75","82.5","90","90+"]
    date_range = ["1990-01-01", "2022-12-31"]
    sex = "F"
	
[exemptions]
    1303 = ["ExemptDivision"] #Has an "Expert" class
    1403 = ["ExemptWeightClassConsistency"] #Missing weightclasses
    1501 = ["ExemptWeightClassConsistency"] #LW,HW
    1502 = ["ExemptWeightClassConsistency"] #LW,HW
    1601 = ["ExemptWeightClassConsistency"] #LW,HW
    1904 = ["ExemptDivision"] #Has a "Gen" class
    1907 = ["ExemptDivision"] #Different classes
    2002 = ["ExemptWeightClassConsistency"] #No weightclasses
    2203 = ["ExemptWeightClassConsistency"] #No weightclasses for bench only & deadlift only
    2303 = ["ExemptDivision"] #Different classes
